ComponentException (Avalon Framework API)
Keywords: org.apache.avalon.framework.component.ComponentException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.component
Class ComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.avalon.framework.CascadingException
                  org.apache.avalon.framework.component.ComponentException

All Implemented Interfaces:
  CascadingThrowable, java.io.Serializable

public class ComponentException
extends CascadingException

The exception thrown to indicate a problem with Components. It is usually thrown by ComponentManager or ComponentSelector.

Deprecated: Use `ServiceException` instead.

Version:
  CVS $Revision: 1.22 $ $Date: 2004/02/11 14:34:24 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`ComponentException(java.lang.String message)` Deprecated. use the String, String version to record the role
`ComponentException(java.lang.String key, java.lang.String message)` Construct a new `ComponentException` instance.
`ComponentException(java.lang.String key, java.lang.String message, java.lang.Throwable throwable)` Construct a new `ComponentException` instance.
`ComponentException(java.lang.String message, java.lang.Throwable throwable)` Deprecated. use the String, String, Throwable version to record the role

Method Summary
`java.lang.String` | `getKey()` Get the key which let to the exception.
`java.lang.String` | `getMessage()` Return a message describing the exception.
`java.lang.String` | `getRole()` Deprecated. Use getKey instead

Methods inherited from class org.apache.avalon.framework.CascadingException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentException

    public ComponentException(java.lang.String key,
                              java.lang.String message,
                              java.lang.Throwable throwable)

  Construct a new `ComponentException` instance.

Parameters:
  `key` - the lookup key
  `message` - the exception message
  `throwable` - the throwable

### ComponentException

    public ComponentException(java.lang.String message,
                              java.lang.Throwable throwable)

  Deprecated. use the String, String, Throwable version to record the role

  Construct a new `ComponentException` instance.

Parameters:
  `message` - the exception message
  `throwable` - the throwable

### ComponentException

    public ComponentException(java.lang.String message)

  Deprecated. use the String, String version to record the role

  Construct a new `ComponentException` instance.

Parameters:
  `message` - the exception message

### ComponentException

    public ComponentException(java.lang.String key,
                              java.lang.String message)

  Construct a new `ComponentException` instance.

Parameters:
  `key` - the lookup key
  `message` - the exception message

Method Detail

### getKey

    public final java.lang.String getKey()

  Get the key which let to the exception. May be null.

  Returns:
    The key which let to the exception.

### getRole

    public final java.lang.String getRole()

  Deprecated. Use getKey instead

  Get the key which let to the exception. May be null.

  Returns:
    The key which let to the exception.

### getMessage

    public java.lang.String getMessage()

  Return a message describing the exception.

  Returns:
    exception message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.